require File.dirname(__FILE__) + '/../test_helper'
require 'user_controller'

# Re-raise errors caught by the controller.
class UserController; def rescue_action(e) raise e end; end

class UserControllerTestWithAmrita2 < Test::Unit::TestCase
  include Amrita2::TestSupport
  fixtures :users

  def setup
    LoginEngine::CONFIG[:salt] = "test-salt"

    @controller = UserController.new
    @request, @response = ActionController::TestRequest.new, ActionController::TestResponse.new
    @request.host = "localhost"
  end

  def test_invalid_login
    post :login, :user => { :login => "bob", :password => "wrong_password" }
    assert_response :success

    assert_nil session[:user]
    assert_template "login"
    assert_equal_as_xml @response.body, <<EOF
<div title="UserController login" class="form">
  <h3>Please Login</h3>
  <div class="form-padding">
    <form action="/user/login" method="post">
      <table>
                <tr class="two_columns">
          <td class="prompt"><label>Login ID:</label></td>
          <td class="value"><input id="user_login" name="user[login]" size="30" type="text" /></td>
        </tr>
<br/>
                <tr class="two_columns">
          <td class="prompt"><label>Password:</label></td>
          <td class="value"><input id="user_password" name="user[password]" size="30" type="password" value="" /></td>
        </tr>
<br/>
      </table>
      <div class="button-bar">
        <input name="commit" type="submit" value="Login" />
        <a href="/user/signup">Register for an account</a> |
        <a href="/user/forgot_password">Forgot my password</a>      </div>
    </form>
  </div>
</div>
EOF
  end
end
