
require 'rexml/document'
require 'amrita2'

include Amrita2
include Amrita2::Filters
context "Minimum Template" do
  setup do
    doc = REXML::Document.new "<div />"
    @de = Amrita2::RootElement.new doc do |e, src, filters|
      filters << AcceptData[true, nil]
    end
    @de.compile(cg=CodeGenerator.new)
    @cls = Class.new
    @cls.module_eval cg.result
  end

  def t(value)
    @cls.new.render_with(value, binding)
  end
  
  specify "true dosen't modify template" do
    t(true).should == "<div />"
  end

  specify "nil generate null string" do
    t(nil).should == ""
  end

  specify "string generate tagged string" do
    t("abc").should == "<div>abc</div>"
  end

  specify "array" do
    t([1, 2]).should == "<div>1</div><div>2</div>"
  end
end

