
require 'rexml/document'
require 'amrita2'
include Amrita2
include Amrita2::Filters


context "Minimum Nested Template" do
  setup do
    doc = REXML::Document.new "<div><div am:src='aaa'/></div>"
    @de = Amrita2::RootElement.new doc do |e, src, filters|
      filters << AcceptData[true, nil]
    end
    @de.compile(cg=CodeGenerator.new)
    @cls = Class.new
    @cls.module_eval cg.result
  end

  def t(value)
    @cls.new.render_with(value, binding)
  end
  
  specify "true dosen't modify template" do
    t(true).should == "<div><div /></div>"
  end

  specify "hash" do
    t(:aaa=>'xxx').should == "<div><div>xxx</div></div>"
  end

  specify "array of hash" do
    a = [
        { :aaa=>'111' },
        { :aaa=>'222' },
    ]
    t(a).should == "<div><div>111</div></div><div><div>222</div></div>"
  end
end

