
require 'rexml/document'
require 'amrita2'

include Amrita2
include Amrita2::Filters

context "Nested Template2" do
  setup do
    doc = REXML::Document.new "<div><div>x<div am:src='aaa'/>y</div><div am:src='bbb'/>z</div>"
    @de = Amrita2::RootElement.new doc do |e, src, filters|
      filters << AcceptData[true, nil]
    end
    @de.compile(cg=CodeGenerator.new)
    @cls = Class.new
    @cls.module_eval cg.result
  end

  def t(value)
    @cls.new.render_with(value, binding)
  end
  
  specify "true dosen't modify template" do
    t(true).should == "<div><div>x<div />y</div><div />z</div>"
  end

  specify "hash" do
    t(:aaa=>'111', :bbb=>'222').should == "<div><div>x<div>111</div>y</div><div>222</div>z</div>"
  end

  specify "nilhash" do
    t({}).should == "<div><div>xy</div>z</div>"
  end

  specify "array of hash" do
    a = [
        { :aaa=>'111' },
        { :bbb=>'222' },
    ]
    t(a).should == "<div><div>x<div>111</div>y</div>z</div><div><div>xy</div><div>222</div>z</div>"
  end
end

