
require 'rexml/document'
require 'amrita2'
require 'amrita2/testsupport'

context "REXML Element" do
  setup do
    doc = REXML::Document.new "<div class='aaa'><a href='bbb' title='ccc'>ddd</a></div>"
    @e = doc.root
  end
  
  specify "xml" do
    a = "<div class='aaa'><a href='bbb' title='ccc'>ddd</a></div>"
    b = "<div class='aaa'><a href='bbb' title='ccc'>ddd</a></div>"
    a.should_be_samexml_as b
  end

  specify "change order of attributes" do
    @e.should_be_samexml_as "<div class='aaa'><a title='ccc' href='bbb' >ddd</a></div>"
  end

  specify "add extra spaces" do
    a = "<div class='aaa'> <a href='bbb' title='ccc'>\nddd</a>\n</div>" 
    b = "<div class='aaa'>\n<a href='bbb' title='ccc'>\nddd</a></div>"
    a.should_be_samexml_as b
  end
end

